Bug 51961 - EtherWork3 network cards give CRC errors
Summary: EtherWork3 network cards give CRC errors
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel   
(Show other bugs)
Version: roswell
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-17 15:14 UTC by Soren Roug
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-25 07:52:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Soren Roug 2001-08-17 15:14:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
We have many DE205 (Digital Equipment) Etherwork3 network cards.
I tried with two cards. The ewrk3.o module complains about an EEPROM CRC 
error and will not load, even though both cards passed the diagnostics 
tests in the MS-DOS maintenance software.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install a DE205 network card. Use default conf: IRQ=5 etc.
2. insmod ewrk3.o
3.
	

Actual Results:  Kernel won't load the ewrk3.o module

Additional info:

Comment 1 Glen Foster 2001-08-17 19:15:37 UTC
We (Red Hat) should really try to fix this before next release.

Comment 2 Arjan van de Ven 2001-08-24 16:40:24 UTC
Has this ever worked with older/other versions of linux ?

Comment 3 Soren Roug 2001-08-25 07:41:02 UTC
Well, yes. We have a lot of DEC Pentium 60 PCes, and Redhat 5.2-7.1 installed
without glitches.
You just had to remember to set all values to default in the card. However, in
this particular instance
we took one of the well-proven EtherWork3 cards and put it into an older Pentium
PC of an unknown make, and it did not work. We have never tried to install linux
on it before, so I don't know
if earlier redhat versions will work. The diagnostics software found no errors.
We tried with another
EtherWorks3 card with the same results. Then we inserted a 3c509 card and
installed Roswell without problems.

I would not mind making a test install of 7.1 and then Roswell on a DEC pentium,
to see if this is a bug newly introduced or if it is hardware specific to that
unknown brand of PC mentioned above.

Comment 4 Arjan van de Ven 2001-08-25 07:52:26 UTC
The fact that 7.1 worked is good news, I'll check the diffs in the driver
between roswell and 7.1 and if needed go back to the 7.1 version

Comment 5 Arjan van de Ven 2001-08-27 11:25:41 UTC
7.1 driver is now back; as of kernel 2.4.7-2.12 or later, should appear in
rawhide in a few days.

Please reopen this bug if such a kernel does not fix this problem.


Note You need to log in before you can comment on or make changes to this bug.